.TH PROPERTY "" "June 12 1992" "COOL Manual" "Unordered Sequence Classes"
.SH NAME
Property \- LISP like property list.
.SH SYNOPSIS
#include <cool/Property.h>
.SH DESCRIPTION
\f3Property\f1 implements LISP property list  as a dynamic association array
between String and Value. String is used for property name in look up.
Value can store and retrieve void* or primitive types like: char, int, 
float, double. Property lists are useful for rapid prototyping
and hacking, when you want to store temporary data with a data structure, 
without modifying it at compile\-time. Compile\-time type checking is replaced
by run\-time type checking.
.SH EXAMPLE
.DS
  #include <cool/Property.h>

  void main() {
    Property plist;
    plist.put("p0", int(1));
    plist.put("p1", double(2.5));
    plist.put("p2", &plist);
    cout << plist << endl;

    Value v0, v1, v2;
    cout << plist.get("p0", v0) << "\t";
    cout << plist.get("p1", v1) << "\t";
    cout << plist.get("p", v2) << "\t";
    cout << plist.remove("p2") << "\t";
  }
.DE
.PP
has output:
.DS
  [ [p0 (int)1]  [p1 (double)2.5]  [p2 (void*)0xf7fff204]  ]
  1       1       0       1
.DE
.SH SEE ALSO
\f3Association<KType,VType>\f1, \f3Vector<Type>\f1, \f3Pair<Type1,Type2>\f1
are used to implement a dynamic association array between String and Value.
.SH COPYRIGHT
Copyright (C) 1992 General Electric Company.

Permission is granted to any individual or institution to use, copy, modify,
and distribute this software, provided that this complete copyright and
permission notice is maintained, intact, in all copies and supporting
documentation.

General Electric Company provides this software "as is" without
express or implied warranty.



